curl --request PATCH \
--url https://api.synctera.com/v2/batch_templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "This template is used for international remittance",
"enabled": true,
"extra_rail_params": {},
"name": "International Remittance",
"rules": {
"disable_four_eyes_review": true,
"hold_time": 123,
"payment_rail": "<string>"
}
}
'import requests
url = "https://api.synctera.com/v2/batch_templates/{id}"
payload = {
"description": "This template is used for international remittance",
"enabled": True,
"extra_rail_params": {},
"name": "International Remittance",
"rules": {
"disable_four_eyes_review": True,
"hold_time": 123,
"payment_rail": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'This template is used for international remittance',
enabled: true,
extra_rail_params: {},
name: 'International Remittance',
rules: {disable_four_eyes_review: true, hold_time: 123, payment_rail: '<string>'}
})
};
fetch('https://api.synctera.com/v2/batch_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subtypes": [
"<string>"
],
"type": "<string>",
"max_individual_transaction_amount": 123,
"max_total_transaction_amount": 123,
"max_transaction_count": 123,
"min_individual_transaction_amount": 123,
"min_total_transaction_amount": 123,
"min_transaction_count": 123
},
"name": "International Remittance",
"rules": {
"disable_four_eyes_review": true,
"hold_time": 123,
"payment_rail": "<string>"
},
"tenant": "abcdef_ghijkl",
"description": "This template is used for international remittance",
"enabled": true,
"extra_rail_params": {},
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update Batch Payment Template
Update a Batch Payment template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique resource identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Attributes of the Batch Payment template
A Batch Payment Template is a template that is used when creating a batch transfer.
The config of a Batch Payment Template. This is used the match the Batch Payment Template to a batch transfer.
Show child attributes
Show child attributes
"This template is used for international remittance"
Whether or not the template is enabled. If the template is not enabled, it will not be used when creating a batch transfer.
Additional parameters to be passed through to the payment rail.
"International Remittance"
The rules of a Batch Payment Template. This is used when processing a batch transfer.
Show child attributes
Show child attributes
Response
Successful update of a Batch Payment template
A Batch Payment Template is a template that is used when creating a batch transfer.
The config of a Batch Payment Template. This is used the match the Batch Payment Template to a batch transfer.
Show child attributes
Show child attributes
"International Remittance"
The rules of a Batch Payment Template. This is used when processing a batch transfer.
Show child attributes
Show child attributes
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
"This template is used for international remittance"
Whether or not the template is enabled. If the template is not enabled, it will not be used when creating a batch transfer.
Additional parameters to be passed through to the payment rail.
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Was this page helpful?

